# Other Resources

There is a bit of a learning curve to getting started with Dataview.
This page is a collection of resources that will help you get started.
Dataview gets new features and fixes fairly frequently so please account for these resources being slightly out of date.
Feel free to contribute directly to this list, documentation, or even reach out to the authors of the original sources for updates.

## Resources

### The Obsidian Hub

- SkepticMystic's [Introduction to Dataview](https://publish.obsidian.md/hub/04+-+Guides%2C+Workflows%2C+%26+Courses/Community+Talks/YT+-+An+Introduction+to+Dataview) supplemented by [a textual guide](https://publish.obsidian.md/hub/04+-+Guides%2C+Workflows%2C+%26+Courses/Guides/An+Introduction+to+Dataview)

### YouTube videos

- SkepticMystic's aforementioned community talk
- [Dataview Plugin: How To Use This Powerful Obsidian Plugin (With Examples) by Filipe Donadio](https://www.youtube.com/watch?v=7kFEl7Ovsr8)
- [Automate Your Vault With Dataview - How To Use Dataview in Obsidian by FromSergio](https://www.youtube.com/watch?v=8yjNuiSBSAM)
- [How to use the Obsidian Dataview plugin by Nicole van der Hoeven](https://www.youtube.com/watch?v=JTObSymEvWA)
- [Intro to Dataview Plugin - Obsidian Community Talk](https://www.youtube.com/watch?v=lclif6l9UgQ)

### Example Vault

- @s-blu has very kindly put together [a vault of example queries](https://github.com/s-blu/obsidian_dataview_example_vault/) that you can use as a playground of sorts.

### Blog Posts

- [Obsidian Dataview For Beginners: A checklist to help fix your dataview queries](https://denisetodd.medium.com/obsidian-dataview-for-beginners-a-checklist-to-help-fix-your-dataview-queries-11acc57f1e48)

### GitHub Discussion

The GitHub repository has a fairly active [Discussions Page](https://github.com/blacksmithgu/obsidian-dataview/discussions/) with dozens of answered questions.

### Obsidian Forums

The [Obsidian Forums](https://forum.obsidian.md/) have a wealth of questions and answers and other interesting tidbits as well.
Try searching the forums for an answer, especially if it seems like a beginner question.

### Discord

The [Obsidian Members Group Discord server](https://obsidian.md/community) has a `#dataview` channel.
Once again, more likely than not, your question has been asked before so try searching the thread though it is known that Discord's search can be spotty.
In case you don't find anything satisfactory, 
This is the closest you'll get to real-time support but there are no guarantees of instant replies.
There are many helpful people though so don't be afraid to ask.

## Support

Where do you go when you have questions?
Here's what we recommend you try.

1. Search GitHub Discussions and the Obsidian Forums for your question.
2. Search through Discord for possible solutions.
3. Depending on the complexity of the your question:
  - If you need close to synchronous communication, use Discord. Note that we are a community of volunteers and there may be delays in responding.
  - If you expect your problem needs time over multiple days and asynchronous communication, open a GitHub discussion.
4. If you found a bug, please report it in [the repo's issues](https://github.com/blacksmithgu/obsidian-dataview/issues).
